
package de.ivu.elect.business.stimmeingabe.entity;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.EntityMitGebiet;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public abstract class AbstractErgebnisGueltigerEingang implements ErgebnisGueltigerEingangBase, EntityMitGebiet {

  private static final long serialVersionUID = 1L;

  public AbstractErgebnisGueltigerEingang() {
    super();
  }

  @Nullable
  public Wahldurchfuehrungsgebiet getWahldurchfuehrungsgebiet() {
    Ergebniseingang ergebniseingang = getErgebniseingang();
    if (ergebniseingang == null/*ELECTKOM-1715*/) {
      return null;
    }
    return ergebniseingang.getWahldurchfuehrungsgebiet();
  }

  @Override
  @Nullable
  public Gebiet getGebiet() {
    return getWahldurchfuehrungsgebiet();
  }
}
